import { Component } from '@angular/core';
import { NativeInputComponent } from '../../_abstract/native-input.component';

@Component({
	selector: 'app-radio',
	templateUrl: './clr-radio.component.html',
	styleUrls: ['./clr-radio.component.scss']
})
export class ClrRadioComponent extends NativeInputComponent {

	exposeMetaInTemplate: string[] = ['name', 'options', 'horizontal'];
	prefix: string;

	constructor() {
		super();
		this.prefix = 'radio_u_' + Math.floor((Math.random() * 10000)).toString();
	}

}
