import { Component } from '@angular/core';
import { NativeInputComponent } from '../../_abstract/native-input.component';

@Component({
	selector: 'app-checkbox',
	templateUrl: './clr-checkbox.component.html',
	styleUrls: ['./clr-checkbox.component.scss']
})
export class ClrCheckboxComponent extends NativeInputComponent {

	exposeMetaInTemplate: string[] = ['label'];

	setValue(cb: HTMLInputElement) {
		this.control.setValue(cb.checked ? this.meta.checkedValue : false);
	}

}
